Bug 848510 - Auto publish progress information is no longer displayed
Auto publish progress information is no longer displayed
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 39
Assigned To: Jason Connor
Preethi Thomas
: Triaged
Depends On:
Blocks: 848520 850903
  Show dependency treegraph
 
Reported: 2012-08-15 15:29 EDT by Jason Connor
Modified: 2014-03-30 21:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 850903 (view as bug list)
Environment:
Last Closed: 2013-01-09 12:07:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Connor 2012-08-15 15:29:03 EDT
Description of problem:
progress information for auto-publishes are no longer displayed as part of the sync progress.
Comment 1 Jeff Ortel 2012-09-04 16:13:03 EDT
build: 2.0.2.
Comment 2 Preethi Thomas 2012-09-10 10:25:25 EDT
[root@preethi-el6-pulp ~]# rpm -q pulp-rpm-server
pulp-rpm-server-2.0.3-1.el6.noarch
[root@preethi-el6-pulp ~]# 


[root@preethi-el6-pulp ~]#  pulp-admin repo sync status --repo-id=faux_test_repo
+----------------------------------------------------------------------+
                   Repository Status [faux_test_repo]
+----------------------------------------------------------------------+

A sync task is queued on the server. Its progress will be tracked below.

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[-]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       3102/3102 items
Delta RPMs: 0/0 items
Tree Files: 9/9 items
Files:      0/0 items
... completed

Importing errata...
[|]
... completed

Importing package groups/categories...
[-]
... completed

Publishing packages...
[==================================================] 100%
Packages: 0/0 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 9/9 items
... completed

Generating metadata
[-]
... completed

Publishing repository over HTTP
[-]
... skipped

Publishing repository over HTTPS
[-]
... completed

Successfully synchronized repository
Comment 3 Preethi Thomas 2012-09-26 16:36:09 EDT
[root@pulp-master scripts]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.328-1.fc17.noarch

[root@pulp-master scripts]# pulp-admin repo sync run --repo-id pulp --bg
+----------------------------------------------------------------------+
                    Synchronizing Repository [pulp]
+----------------------------------------------------------------------+

The status of this sync can be displayed using the status command.

[root@pulp-master scripts]# pulp-admin repo sync status --repo-id pulp 
+----------------------------------------------------------------------+
                        Repository Status [pulp]
+----------------------------------------------------------------------+

A sync task is queued on the server. Its progress will be tracked below.

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[/]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       0/0 items
Delta RPMs: 0/0 items
Tree Files: 0/0 items
Files:      0/0 items
... completed

Importing errata...
[-]
... completed

Importing package groups/categories...
[-]
... completed

[-]
Waiting to begin
Publishing packages...
[==================================================] 100%
Packages: 0/0 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[|]
... completed

Publishing repository over HTTP
[-]
... skipped

Publishing repository over HTTPS
[-]
... completed

Successfully synchronized repository

[root@pulp-master scripts]#
Comment 4 Preethi Thomas 2013-01-09 12:07:23 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.